Index: extensions/hr_os_xl/language/bg_BG/index.php
===================================================================
--- extensions/hr_os_xl/language/bg_BG/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/bg_BG/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/bg_BG/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/bg_BG/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/bg_BG/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on picture page'] = 'Покажи банер на страница на страниците със снимки';
+$lang['Display page banner on other pages'] = 'Покажи банер на страница на други страници';
+$lang['Display page banner on categories pages'] = 'Покажи банер на страница на страниците с категориите';
+$lang['Display page banner on home page'] = 'Покажи банер на страница на заглавната страница';
+?>
Index: extensions/hr_os_xl/language/ca_ES/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/ca_ES/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/ca_ES/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Mostra la pàgina de bàner sobre la pàgina de categories';
+$lang['Display page banner on home page'] = 'Mostra la pàgina de bàner sobre la pàgina inicial';
+$lang['Display page banner on other pages'] = 'Mostra la pàgina de bàner sobre les altres pàgines';
+$lang['Display page banner on picture page'] = 'Mostra la pàgina de bàner sobre la pàgina de la imatge';
+?>
Index: extensions/hr_os_xl/language/cs_CZ/index.php
===================================================================
--- extensions/hr_os_xl/language/cs_CZ/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/cs_CZ/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/cs_CZ/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/cs_CZ/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/cs_CZ/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Zobrazovat banner na stránce s kategoriemi';
+$lang['Display page banner on home page'] = 'Zobrazovat banner na domovské stránce';
+$lang['Display page banner on other pages'] = 'Zobrazovat banner na jiných stránkách';
+$lang['Display page banner on picture page'] = 'Zobrazovat banner na stránce obrázku';
+?>
Index: extensions/hr_os_xl/language/da_DK/index.php
===================================================================
--- extensions/hr_os_xl/language/da_DK/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/da_DK/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/da_DK/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/da_DK/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/da_DK/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Vis sidebanner på kategoriside';
+$lang['Display page banner on home page'] = 'Vis sidebanner på forside';
+$lang['Display page banner on other pages'] = 'Vis sidebanner på øvrige sider';
+$lang['Display page banner on picture page'] = 'Vis sidebanner på billedside';
+?>
Index: extensions/hr_os_xl/language/el_GR/index.php
===================================================================
--- extensions/hr_os_xl/language/el_GR/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/el_GR/index.php	(revision 20155)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/el_GR/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/el_GR/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/el_GR/theme.lang.php	(revision 20155)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Εμφάνιση του banner στην αρχική σελίδα';
+$lang['Display page banner on categories pages'] = 'Εμφάνιση του banner στη σελίδα κατηγοριών';
+$lang['Display page banner on picture page'] = 'Εμφάνιση του banner στη σελίδα φωτογραφίας';
+$lang['Display page banner on other pages'] = 'Εμφάνιση του banner στις άλλες σελίδες'; 
+
+?>
Index: extensions/hr_os_xl/language/et_EE/index.php
===================================================================
--- extensions/hr_os_xl/language/et_EE/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/et_EE/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/et_EE/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/et_EE/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/et_EE/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Kuva lehekülje tiitliriba kategooria-leheküljedel';
+$lang['Display page banner on home page'] = 'Kuva lehekülje tiitliriba pea-leheküljel';
+$lang['Display page banner on other pages'] = 'Kuva lehekülje tiitliriba teistel leheküljedel';
+$lang['Display page banner on picture page'] = 'Kuva lehekülje tiitliriba foto-leheküljedel';
+?>
Index: extensions/hr_os_xl/language/fi_FI/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/fi_FI/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/fi_FI/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Näytä sivun banneri kategoriasivuilla';
+$lang['Display page banner on home page'] = 'Näytä sivun banneri etusivulla';
+$lang['Display page banner on other pages'] = 'Näytä sivun banneri muilla sivuilla';
+$lang['Display page banner on picture page'] = 'Näytä sivun banneri kuvasivulla';
+?>
Index: extensions/hr_os_xl/language/nl_NL/index.php
===================================================================
--- extensions/hr_os_xl/language/nl_NL/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/nl_NL/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/nl_NL/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/nl_NL/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/nl_NL/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Toon paginabanier op categoriepagina\'s';
+$lang['Display page banner on home page'] = 'Toon paginabanier op homepagina';
+$lang['Display page banner on other pages'] = 'Toon paginabanier op andere pagina\'s';
+$lang['Display page banner on picture page'] = 'Toon paginabanier op afbeeldingspagina';
+?>
Index: extensions/hr_os_xl/language/pl_PL/index.php
===================================================================
--- extensions/hr_os_xl/language/pl_PL/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/pl_PL/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/pl_PL/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/pl_PL/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/pl_PL/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Wyświetlaj baner na stronach z kategoriami';
+$lang['Display page banner on home page'] = 'Wyświetlaj baner na stronie głównej';
+$lang['Display page banner on other pages'] = 'Wyświetlaj baner na innych stronach';
+$lang['Display page banner on picture page'] = 'Wyświetlaj baner na stronie ze zdjęciem';
+?>
Index: extensions/hr_os_xl/language/pt_BR/index.php
===================================================================
--- extensions/hr_os_xl/language/pt_BR/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/pt_BR/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/pt_BR/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/pt_BR/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/pt_BR/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on other pages'] = 'Mostra a faixa nas outras páginas';
+$lang['Display page banner on picture page'] = 'Mostra a faixa na página das imagens';
+$lang['Display page banner on home page'] = 'Mostra a faixa na página inicial';
+$lang['Display page banner on categories pages'] = 'Mostra faixa na página das categorias';
+?>
Index: extensions/hr_os_xl/language/pt_PT/index.php
===================================================================
--- extensions/hr_os_xl/language/pt_PT/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/pt_PT/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/pt_PT/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/pt_PT/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/pt_PT/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Afixar a bandeira na pagina das categorias ';
+$lang['Display page banner on home page'] = 'Afixar a bandeira na pagina principal';
+$lang['Display page banner on other pages'] = 'Afixar a bandeira nas outras páginas ';
+$lang['Display page banner on picture page'] = 'Afixar a bandeira na página das fotos ';
+?>
Index: extensions/hr_os_xl/language/sk_SK/index.php
===================================================================
--- extensions/hr_os_xl/language/sk_SK/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/sk_SK/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/sk_SK/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/sk_SK/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/sk_SK/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Zobrazovať banner na stránke s kategóriami';
+$lang['Display page banner on home page'] = 'Zobrazovať banner na domovskej stránke';
+$lang['Display page banner on other pages'] = 'Zobrazovať banner na iných stránkach';
+$lang['Display page banner on picture page'] = 'Zobrazovať banner na stránke fotky';
+?>
Index: extensions/hr_os_xl/language/th_TH/index.php
===================================================================
--- extensions/hr_os_xl/language/th_TH/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/th_TH/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/th_TH/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/th_TH/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/th_TH/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'แสดงแบนเนอร์หน้าบนหน้าเว็บประเภท';
+$lang['Display page banner on home page'] = 'แสดงแบนเนอร์ของเพจในหน้าแรก';
+$lang['Display page banner on other pages'] = 'แสดงแบนเนอร์ของเพจในหน้าอื่นๆ';
+$lang['Display page banner on picture page'] = 'แสดงแบนเนอร์หน้าบนหน้ารูปภาพ';
+?>
Index: extensions/hr_os_xl/language/tr_TR/index.php
===================================================================
--- extensions/hr_os_xl/language/tr_TR/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/tr_TR/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/tr_TR/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/tr_TR/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/tr_TR/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Sayfa afişini kategori sayfalarında görüntüle';
+$lang['Display page banner on home page'] = 'Sayfa afişini ana sayfada görüntüle';
+$lang['Display page banner on other pages'] = 'Sayfa afişini diğer sayfalarda görüntüle';
+$lang['Display page banner on picture page'] = 'Sayfa afişini resim sayfasında görüntüle';
+?>
Index: extensions/hr_os_xl/language/uk_UA/index.php
===================================================================
--- extensions/hr_os_xl/language/uk_UA/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/uk_UA/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/uk_UA/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/uk_UA/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/uk_UA/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = 'Відображати банер на сторінці категорії (альбому)';
+$lang['Display page banner on home page'] = 'Відображати банер на головній сторінці';
+$lang['Display page banner on other pages'] = 'Відображати банер на інших сторінках';
+$lang['Display page banner on picture page'] = 'Відображати банер на сторінці з фотографією';
+?>
Index: extensions/hr_os_xl/language/zh_CN/index.php
===================================================================
--- extensions/hr_os_xl/language/zh_CN/index.php	(revision 20155)
+++ extensions/hr_os_xl/language/zh_CN/index.php	(revision 20155)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/hr_os_xl/language/zh_CN/theme.lang.php
===================================================================
--- extensions/hr_os_xl/language/zh_CN/theme.lang.php	(revision 20155)
+++ extensions/hr_os_xl/language/zh_CN/theme.lang.php	(revision 20155)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Display page banner on categories pages'] = '在分类页面显示页面标语';
+$lang['Display page banner on home page'] = '在主页显示页面标语';
+$lang['Display page banner on other pages'] = '在其他页面显示页面标语';
+$lang['Display page banner on picture page'] = '在图片页面显示页面标语';
+?>