Index: extensions/Piwecard/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 20080)
+++ extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 20165)
@@ -22,3 +22,69 @@
 $lang['piwecard_delete_all_invalid'] = 'Alle abgelaufenen E-Cards löschen?';
 $lang['piwecard_default_guest_email'] = 'Standartmail für Gäste E-Card';
+$lang['piwecard_error_validity_list'] = 'Die Liste darf nicht leer sein und Perioden müssen Zahlen sein.';
+$lang['piwecard_permissions_user_cat'] = 'Senden von E-Cards ist nur möglich wenn die Kategorie, die übergeordnete Kategorie nach dem Benutzer benannt wurde oder der Autor des Bildes der Benutzer selbst ist.';
+$lang['piwicard_email_reset'] = '*-markierte Felder mit den Standardwerten deiner Sprache zurücksetzen. ';
+$lang['piwecard_permissions_selected_cats'] = 'Das Senden von E-Card\'s ist nur von den gewählten Kategorien möglich und wenn der Benutzer hierauf berechtigt ist';
+$lang['piwecard_selected_cats'] = 'Gewählte Kategorien';
+$lang['piwecard_send'] = 'Senden';
+$lang['piwecard_send_link'] = 'Klicke hier um die E-Card zu versenden';
+$lang['piwecard_send_mandatory_fields'] = 'Pflichtfelder';
+$lang['piwecard_sender_copy'] = 'Sende eine Kopie der E-Card an den Absender';
+$lang['piwecard_show_image_infos'] = 'Zeige den Titel und den Autor des Bildes unterhalb der Bildes';
+$lang['piwecard_user_cats_case_sensitive'] = 'Groß-Klein-Schreibung (die Kategorie oder eine Übergeordnete ist nach dem Benutzer benannt)';
+$lang['piwecard_valid'] = 'Gültig';
+$lang['piwecard_validity'] = 'Gültig bis';
+$lang['piwecard_validity_choice'] = 'Erlaube dem Benutzer die Gültigkeit der E-Card zu bestimmen';
+$lang['piwecard_validity_default'] = 'Standard Gültigkeit der E-Card';
+$lang['piwecard_validity_label'] = 'Zeitraum der Gültigkeit';
+$lang['piwecard_validity_list'] = 'Liste der gültigen Zeiträume in Tagen (0 für unbegrenzt)';
+$lang['piwecard_website_url'] = 'Galerie URL';
+$lang['piwecard_invalid_deleted'] = 'Alle verfallenen E-Card\'s wurden gelöscht.';
+$lang['piwecard_nb_ecard_page'] = 'Anzahl an E-Card\'s pro Seite';
+$lang['piwecard_nb_ecard_valid_total'] = '%nb_valid% gültige E-Card\'s von %nb_total% E-Card\'s';
+$lang['piwecard_no_ecard'] = 'Keine E-Card\'s in der Datenbank';
+$lang['piwecard_non_selected_cats'] = 'Nicht gewählte Kategorien';
+$lang['piwecard_permissions_all_cats'] = 'Das Senden von E-Card ist aus allen Kategorien des Benutzers möglich.';
+$lang['piwecard_permissions_cat'] = 'Erlaubnis abhängig von Kategorie';
+$lang['piwecard_ecard_image_infos'] = 'Bildinformation (Titel und Autor)';
+$lang['piwecard_ecard_image_url'] = 'Bild URL';
+$lang['piwecard_ecard_message'] = 'Nachricht';
+$lang['piwecard_ecard_subject'] = 'E-Card Titel';
+$lang['piwecard_ecard_url'] = 'E-Card URL';
+$lang['piwecard_email_configuration'] = 'E-Mail Konfiguration';
+$lang['piwecard_email_format'] = 'E-Mail Format';
+$lang['piwecard_email_format_default'] = 'Standard E-Mail Format';
+$lang['piwecard_email_format_default_error'] = 'Das Standard E-Mail format muss eines der gewählten Formate sein';
+$lang['piwecard_email_format_html'] = 'HTML';
+$lang['piwecard_email_format_text'] = 'Text';
+$lang['piwecard_email_message_html'] = 'Nachricht im HTML Format';
+$lang['piwecard_email_message_text'] = 'Nachricht im Text Format';
+$lang['piwecard_error'] = 'Fehler!';
+$lang['piwecard_error_email'] = 'Bitte gib eine gültige E-Mail Adresse ein. ';
+$lang['piwecard_error_integer'] = 'Bitte gib eine gültige Zahl ein. ';
+$lang['piwecard_error_text'] = 'Bitte gib einen Text ein.';
+$lang['piwecard_errors'] = 'Siehe detaillierte Fehlerbeschreibung unten';
+$lang['piwecard_invalid'] = 'Verfallen';
+$lang['piwecard_admin_configuration'] = 'Konfiguration';
+$lang['piwecard_admin_management'] = 'Verwaltung';
+$lang['piwecard_admin_permissions'] = 'Berechtigungen';
+$lang['piwecard_default_email_message_html'] = '<p>Hallo %recipientname% !</p>
+<p><b>%yourname%</b> hat dir eine E-Card von dieser Webseite gesendet <a href="%websiteurl%">%website%</a>:</p>
+<p><b>%ecardtitle%</b></p>
+<p><a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a><p>
+<p>%pictureinfos%</p><br />
+<p>%ecardmessage%</p>
+<p>Du kannst die E-Card auch online sehen unter <a href="%ecardurl%">dieser Adresse</a>.</p>
+<p>Wir sehen uns auf <a href="%websiteurl%">%website%</a>!</p>
+<p>Der Webmaster</p>';
+$lang['piwecard_default_email_message_text'] = 'Hallo %recipientname% ! 
+%yourname%  hat dir eine E-Card von dieser Webseite gesendet %website%. 
+Du kannst die E-Card auch online sehen unter: %ecardurl%.
+Wir sehen uns auf %website% (%websiteurl%) !
+Der Webmaster';
+$lang['piwecard_default_email_subject'] = '%yourname% hat dir eine E-Card gesendet';
+$lang['piwecard_delete'] = 'Lösche ausgewählte E-Card';
+$lang['piwecard_delete_selected'] = 'Lösche ausgewählte E-Card';
+$lang['piwecard_deleted'] = 'Gewählte E-Card wurden gelöscht';
+$lang['piwecard_ecard_derivative'] = 'Wähle die große des Bildes in der E-Card:';
 ?>