Index: trunk/language/ro_RO/admin.lang.php
===================================================================
--- trunk/language/ro_RO/admin.lang.php	(revision 20182)
+++ trunk/language/ro_RO/admin.lang.php	(revision 20183)
@@ -576,3 +576,59 @@
 $lang['Main'] = 'Principal';
 $lang['%s in the future'] = '%s în viitor';
+$lang['Manage the members'] = 'Gestionați membrii';
+$lang['photos informations synchronized with files metadata'] = 'Informațiile fotografiilor sincronizate cu metadatele fișierelor';
+$lang['singly represented'] = 'miniatura fixă pentru album';
+$lang['synchronize files metadata with database photos informations'] = 'sincronizați fotografiile din baza de date cu metadatele fișierelor';
+$lang['unit mode'] = 'mono-mod';
+$lang['unset'] = 'nesetat';
+$lang['update the database from files'] = 'actualizarea bazei de date cu fișiere';
+$lang['pending validation'] = 'în așteptarea validării';
+$lang['photos candidates for metadata synchronization'] = 'fotografii posibile pentru sincronizarea metadatelor';
+$lang['photos updated in the database'] = 'fotografii actualizate în baza de date';
+$lang['randomly represented'] = 'miniatura aleatorie a albumului ';
+$lang['ranks'] = 'locuri';
+$lang['remove creation date'] = 'eliminați data creării';
+$lang['set to'] = 'setat la';
+$lang['status'] = 'statut';
+$lang['sub-albums'] = 'sub-albume';
+$lang['target'] = 'țintă';
+$lang['test this remote site'] = 'testează acest site îndepărtat';
+$lang['the wiki'] = 'wiki-ul';
+$lang['user_status_generic'] = 'Generic';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'vizitatorii trebuie să se autentifice și să aibă permisiunile corespunzătoare pentru a vedea acest album';
+$lang['Local'] = 'Local';
+$lang['Locked'] = 'Blocat';
+$lang['Mail address is obligatory for all users'] = 'Adresa de mail e obligatorie pentru toți utilizatorii';
+$lang['Mail content'] = 'Conținutul mailului';
+$lang['Main "guest" user does not exist'] = 'Utilizatorul principal "oaspete" nu există';
+$lang['Main "guest" user status is incorrect'] = 'Statutul utilizatorului principal "oaspete" nu este corect';
+$lang['Main "webmaster" user does not exist'] = 'Utilizatorul principal "webmaster" nu există';
+$lang['Main "webmaster" user status is incorrect'] = 'Statutul utilizatorului principal "webmaster" nu este corect';
+$lang['Make this language available to users'] = 'Puneți această limbă la dispoziția utilizatorilor';
+$lang['Make this theme available to users'] = 'Puneți această temă la dispoziția utilizatorilor';
+$lang['Manage photos'] = 'Gestionați fotografiile';
+$lang['Landscape'] = 'Peisaj';
+$lang['Install on your computer,'] = 'Instalați pe calculatorul dvs.,';
+$lang['Information data registered in database'] = 'Datele sunt înregistrate în baza de date ';
+$lang['Images manual order was saved'] = 'Ordinea manuala a imaginilor salvată';
+$lang['I decide to update anyway'] = 'Decid să actualizez oricum';
+$lang['High definition enabled'] = 'Înaltă definiție activată';
+$lang['High definition'] = 'De înaltă definiție';
+$lang['Guest cannot be deleted'] = 'Oaspeții nu pot fi șterși';
+$lang['Guest Settings'] = 'Setările oaspeților';
+$lang['Groups and users'] = 'Grupuri și utilizatori';
+$lang['Generate multiple size images'] = 'Generați imagini de diferite dimensiuni ';
+$lang['Gallery unlocked'] = 'Galerie deblocată';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Funcționalitățile sale includ navigarea prin galerie, crearea de albume foto și transferul de poze.';
+$lang['Duplicate selected tags'] = 'Duplică etichetele selecționate';
+$lang['Center of interest'] = 'Centrul de interes';
+$lang['Duplicate'] = 'Duplică';
+$lang['Delete multiple size images'] = 'Șterge imagini de dimensiuni diferite';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'În mod implicit, centrul de interes este plasat în mijlocul fotografiei.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture este proiectat pentru fotografi profesioniști cu simplitatea iPhoto-ului.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture este un instrument puternic proiectat pentru redefinirea imaginilor și pentru gestiunea de biblioteci mari pe un sistem Mac.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom este un program pentru fotografii proiectat pentru a gestiona și a prelucra mari cantități de imagini digitale.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo pentru iOS</em> programul vă permite să vă conectați iPhone-ul, iPad-ul sau iPad-ul Touch la galeria dvs. Piwigo, să creați unele albume și să transmiteți mai multe fotografii în același timp.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo pentru Android</em> programul vă permite să vă conectați telefonul sau tableta dvs. Android  la galeria dvs. Piwigo, să creați unele albume și să transmiteți mai multe fotografii în același timp.';
+$lang['%u users have automatic permission because they belong to a granted group.'] = 'u% de utilizatori  au permisiunea automată, deoarece aceștia aparțin unui grup cu permisii.';
 ?>