Index: /trunk/language/ro_RO/admin.lang.php
===================================================================
--- /trunk/language/ro_RO/admin.lang.php	(revision 20196)
+++ /trunk/language/ro_RO/admin.lang.php	(revision 20197)
@@ -28,5 +28,5 @@
 $lang['%d albums including'] = '%d albums inclusiv';
 $lang['%d physical'] = ' %d fizic';
-$lang[' and %d virtual'] = ' si %d virtual';
+$lang[' and %d virtual'] = 'şi %d virtual';
 $lang['%d album moved'] = '%d album mutata';
 $lang['%d albums moved'] = '%d albums mutate';
@@ -632,3 +632,147 @@
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo pentru Android</em> programul vă permite să vă conectați telefonul sau tableta dvs. Android  la galeria dvs. Piwigo, să creați unele albume și să transmiteți mai multe fotografii în același timp.';
 $lang['%u users have automatic permission because they belong to a granted group.'] = 'u% de utilizatori  au permisiunea automată, deoarece aceștia aparțin unui grup cu permisii.';
+$lang['View in gallery'] = 'Vezi în galerie';
+$lang['Used metadata'] = 'Metadate utilizate';
+$lang['User'] = 'Utilizator';
+$lang['User "%s" created with "%s" like password'] = 'Utilizator "%s" creat cu parola "%s" ';
+$lang['User %s [%s] added.'] = 'Utilizator %s [%s] adăugat.';
+$lang['User list'] = 'Listă de utilizatori';
+$lang['There is no other language available.'] = 'Nicio altă limbă nu este disponibilă.';
+$lang['There is no other theme available.'] = 'Nicio altă temă nu este disponibilă.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Acest album conţine %d imagini, adăugate între %s şi %s.';
+$lang['Uncheck all'] = 'Debifează tot';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Eticheta "%s" este acum un duplicat al lui "%s"';
+$lang['Source tag'] = 'Etichetă sursă';
+$lang['Piwigo Administration'] = 'Administrare Piwigo';
+$lang['Portrait'] = 'Portret';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Această temă nu a putut fi activată, deoarece tema părinte lipseşte: %s.';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Imposibil de dezactivat această limbă, alege întâi altă limbă ca implicit.';
+$lang['No file was uploaded'] = 'Niciun fişier nu a fost încărcat';
+$lang['No group is permitted to see this private album'] = 'Niciunui grup nu îi este permis să vadă acest album';
+$lang['No photo can be deleted'] = 'Nicio imagine nu poate fi ştearsă';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Fişierele încărcate depăşesc directiva post_max_size directive din php.ini: %sB';
+$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = 'Versiunea instalată a %s [%s] nu este compatibilă cu versiunea cerută [%s]';
+$lang['Resize after upload'] = 'Redimensionează după încărcare';
+$lang['See you soon,'] = 'Ne vedem în curând,';
+$lang['See you soon.'] = 'ne vedem în curând.';
+$lang['Select a file'] = 'Alege un fişier';
+$lang['Select at least two tags for merging'] = 'Alege cel puţin două etichete pentru îmbinare';
+$lang['Select files'] = 'Alege fişiere';
+$lang['Toggle \'default group\' property'] = 'Inversează proprietatea \'grup implicit\'';
+$lang['Tools'] = 'Unelte';
+$lang['Type here the author name'] = 'Scrie aici numele autorului';
+$lang['Type here the name of the new group'] = 'Scrie aici numele noului grup';
+$lang['Type here the title'] = 'Scrie aici titlul';
+$lang['Type in a search term'] = 'Scrie un termen de căutare';
+$lang['Synchronize'] = 'Sincronizează';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Etichetele <em>%s</em> îmbinate în eticheta <em>%s</em:';
+$lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Fişierul sau dosarul nu pot fi accesate (nu există sau accesul nu este permis)';
+$lang['The following tag was deleted'] = 'Următoarele etichete au fost şterse';
+$lang['The gallery URL is not valid.'] = 'URL-ul galeriei nu este valid.';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Fişierul încărcat depăşeşte directiva MAX_FILE_SIZE care a fost specificată în formularul HTML';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Fişierul încărcat depăşeşte directiva upload_max_filesize din php.ini: %sB';
+$lang['The uploaded file was only partially uploaded'] = 'Fişierul încărcat a fost încărcat doar paţial';
+$lang['Select groups...'] = 'Alege grupuri...';
+$lang['Select the destination tag'] = 'Alege eticheta de destinaţie';
+$lang['Select users...'] = 'Alege utilizatori...';
+$lang['Select:'] = 'Alege:';
+$lang['Send'] = 'Trimite';
+$lang['Send an information email to group members'] = 'Trimite mesaj electronic de informare la toţi membrii grupului';
+$lang['Send mail on HTML format'] = 'Trimite mesaj electronic în format HTML';
+$lang['Privacy level'] = 'Nivel de confidenţialitate';
+$lang['Privacy level set to "%s"'] = 'Nivelul de confidenţialitate a fost setat la "%s"';
+$lang['Purge history detail'] = 'Epurează detaliile istoricului';
+$lang['Purge history summary'] = 'Epurează sumarul istoricului';
+$lang['Purge search history'] = 'Epurează istoricul de căutări';
+$lang['Purge sessions'] = 'Epurează sesiunile';
+$lang['Quick Local Synchronization'] = 'Sincronizare Locală Rapidă';
+$lang['Ratio'] = 'Raţie';
+$lang['Read Piwigo Documentation'] = 'Citeşte Documentaţia Piwigo';
+$lang['Remove all filters'] = 'Înlătură toate filtrele';
+$lang['Piwigo configuration'] = 'Configurare Piwigo';
+$lang['Piwigo version'] = 'Versiune Piwigo';
+$lang['Please select at least two groups'] = 'Te rog alege cel puţin două grupuri';
+$lang['Permission granted for users'] = 'Permisiuni acordate pentru utilizator';
+$lang['Permission management'] = 'Management de permisiuni';
+$lang['Piwigo for Android'] = 'Piwigo pentru Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo pentru iOS (iPhone, iPad, iPod Touch=';
+$lang['The name of a group must not contain " or \' or be empty.'] = 'Numele unui grup trebuie să nu conţină " sau \' sau sa fie gol.';
+$lang['The name of an album must not be empty'] = 'Numele unui album trebuie să nu fie gol';
+$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'Numele dosarelor şi fişierelor trebuie să conţină numai litere, cifre, "-", "_" sau ".".';
+$lang['The number of comments a page must be between 5 and 50 included.'] = 'Numărul comentariilor de pe o pagină trebuie să fie între 5 şi 50, inclusiv.';
+$lang['The original image quality must be a number between %d and %d'] = 'Calitatea imaginii originale trebuie să fie un număr între %d si %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'Înălţimea maximă a originalului trebuie să fie un număr între %d şi %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Lăţimea maximă a originalului trebuie să fie un număr între %d şi %d';
+$lang['The whole page'] = 'Întreaga pagină';
+$lang['The whole set'] = 'Întregul set';
+$lang['Theme has been successfully installed'] = 'Tema a fost instalată cu succes';
+$lang['Themes'] = 'Teme';
+$lang['This album contains no photo.'] = 'Acest album nu conţine nicio imagine.';
+$lang['This group will be set to default'] = 'Acest grup va fi folosit implicit';
+$lang['This group will be unset to default'] = 'Acest grup nu va mai fi folosit implicit';
+$lang['This name is already used by another group.'] = 'Acest nume este deja folosit de un alt grup.';
+$lang['This site already exists'] = 'Această pagină există deja.';
+$lang['This theme was not designed to be directly activated'] = 'Această temă nu a fost proiectată pentru a fi activată direct';
+$lang['Time'] = 'Timp';
+$lang['Title'] = 'Titlu';
+$lang['Virtual Links'] = 'Legături virtuale';
+$lang['Virtual album'] = 'Album virtual';
+$lang['Visit Gallery'] = 'Vizitează galeria';
+$lang['Visit Piwigo project website'] = 'Vizitează pagina proiectului Piwigo';
+$lang['Visit language site'] = 'Vizitează pagina de traduceri';
+$lang['Visit theme site'] = 'Vizitează pagina de teme';
+$lang['Visited %d times'] = 'Vizitat de % ori';
+$lang['Week starts on'] = 'Săptămâna incepe';
+$lang['Who can see these photos?'] = 'Cine poate vedea aceste imagini?';
+$lang['Who can see this photo?'] = 'Cine poate vedea această imagine?';
+$lang['Width'] = 'Lăţime';
+$lang['With blank value, gallery title will be used'] = 'Dacă este gol, va fi fi folosit titlul galeriei';
+$lang['With no album'] = 'Fără niciun album';
+$lang['With no tag'] = 'Fără nicio etichetă';
+$lang['apply automatic sort order'] = 'aplică ordinea automata de sortare';
+$lang['between %d and %d pixels'] = 'între %d şi %d pixeli';
+$lang['cancel manual order'] = 'anulează ordinea manuală';
+$lang['include photos with lower privacy level'] = 'include imagini cu nivel de confidenţialitate mic';
+$lang['manual order'] = 'ordine manuală';
+$lang['modified'] = 'modificat';
+$lang['no write access'] = 'fără drept de scriere';
+$lang['on'] = 'pe';
+$lang['on the %d selected photos'] = 'pe cele %d imagini alese';
+$lang['other'] = 'alte';
+$lang['overrides existing values with empty ones'] = 'suprascrie valorile existente cu unele goale';
+$lang['Summary'] = 'Sumar';
+$lang['Synchronize metadata'] = 'Sincronizează metadate';
+$lang['The anomaly will be ignored until next application version'] = 'Anomalia aceasta va fi ignorată până la versiunea următoare a aplicaţiei';
+$lang['Selection'] = 'Selecţie';
+$lang['Send mail as'] = 'Trimite mesaj electronic ca';
+$lang['Send mail to users'] = 'Trimite mesaj electronic la utilizatorii';
+$lang['Show menubar'] = 'Arată bara de meniu';
+$lang['Simulation'] = 'Simulare';
+$lang['Refresh'] = 'Reîmprospătează';
+$lang['Refresh photo set'] = 'Reîmprospătează setul de imagini';
+$lang['Reinitialize check integrity'] = 'Reiniţializează verificarea de integritate';
+$lang['Rename'] = 'Renumeşte';
+$lang['Repair and optimize database'] = 'Repară şi optimizează baza de date';
+$lang['Resize'] = 'Redimensionează';
+$lang['Restore'] = 'Restaurează';
+$lang['Save manual order'] = 'Salvează ordinea manuală';
+$lang['Save visits in history for'] = 'Salvează vizitele în istoric pentru';
+$lang['Search for new images in the directories'] = 'Caută imagini noi în dosarele';
+$lang['No group selected, no action possible.'] = 'Niciun grup ales, nicio acţiune posibilă.';
+$lang['No mail to send.'] = 'Niciun mesaj electronic de trimis.';
+$lang['No members to manage'] = 'Niciun membru de administrat';
+$lang['Merge selected groups'] = 'Îmbină grupurile alese';
+$lang['Merge selected tags'] = 'Îmbină etichetele alese';
+$lang['Merge tags'] = 'Îmbină etichete';
+$lang['Missing a temporary folder'] = 'Lipseşte un dosar temporar';
+$lang['Modify information'] = 'Modifică informaţie';
+$lang['Move to album'] = 'Mută în album';
+$lang['Name of the duplicate'] = 'Numele duplicatului';
+$lang['Manual order'] = 'Ordine manuală';
+$lang['Maximum file size: %sB.'] = 'Dimensiunea maximă a fişierului: %sB.';
+$lang['Menu Management'] = 'Meniuri';
+$lang['Metadata synchronization results'] = 'Rezultatele sincronizării metadatelor';
+$lang['Minimum height'] = 'Înălţime minimă';
+$lang['Minimum privacy level'] = 'Nivel minim de confidenţialitate';
+$lang['Minimum width'] = 'Lăţime minimă';
 ?>