Index: extensions/Comments_Access_Manager/language/nl_NL/help.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/nl_NL/help.lang.php	(revision 14633)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-$lang['CM_commentTitle'] = 'Nickname verplicht voor gast commentaren';
-$lang['CM_CommentsValidationOffTitle_d'] = 'Schakel deze optie in, om hier de uitgebreide parameters te zien.';
-$lang['CM_CommentsValidationOffTitle'] = '&quot;goedkeuring&quot; voor commentaar is uitgeschakeld';
-$lang['CM_GroupCommTitle_d'] = 'Deze optie maakt dat alleen de groep gebuikers die toestemming heeft commentaar kan geven.
-<br><br>
-Standaard, als de <b>&quot;commentaar voor iedereen&quot;</b> optie is uitgeschakeld, kunnen alleen geregistreerde gebruikers commentaar geven. Met deze optie kan je alleen een bepaalde groep het recht geven. Zodat alleen geregistreerde gebruikers en gebruikers van die groep commentaar mogen geven.';
-$lang['CM_GroupCommTitle'] = 'Sta commentaar toe voor een groep gebruikers';
-$lang['CM_ValidComm2Title_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
-<br><br>
-Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
-$lang['CM_ValidCommTitle_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta geen commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
-<br><br>
-Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> is uitgeschakeld, en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
-$lang['CM_ValidCommTitle'] = 'Sta commentaar toe zonder toestemming van de administrator';
-$lang['CM_commentTitle_d'] = 'Als <b>&quot;Commentaar voor iedereen&quot;</b> actief is (toestemming voor niet geregistreerde gebruikers om commentaren te geven), dan maakt deze optie dat ze een nickname moeten opgeven.';
-?>
Index: extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php	(revision 14633)
+++ extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php	(revision 20253)
@@ -41,3 +41,18 @@
 $lang['CM_save_config'] = 'Configuratie succesvol bewaard';
 $lang['CM_submit'] = 'Bewaar instellingen';
+$lang['CM_commentTitle'] = 'Nickname verplicht voor gast commentaren';
+$lang['CM_CommentsValidationOffTitle_d'] = 'Schakel deze optie in, om hier de uitgebreide parameters te zien.';
+$lang['CM_CommentsValidationOffTitle'] = '&quot;goedkeuring&quot; voor commentaar is uitgeschakeld';
+$lang['CM_GroupCommTitle_d'] = 'Deze optie maakt dat alleen de groep gebuikers die toestemming heeft commentaar kan geven.
+<br><br>
+Standaard, als de <b>&quot;commentaar voor iedereen&quot;</b> optie is uitgeschakeld, kunnen alleen geregistreerde gebruikers commentaar geven. Met deze optie kan je alleen een bepaalde groep het recht geven. Zodat alleen geregistreerde gebruikers en gebruikers van die groep commentaar mogen geven.';
+$lang['CM_GroupCommTitle'] = 'Sta commentaar toe voor een groep gebruikers';
+$lang['CM_ValidComm2Title_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
+<br><br>
+Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
+$lang['CM_ValidCommTitle_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta geen commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
+<br><br>
+Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> is uitgeschakeld, en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
+$lang['CM_ValidCommTitle'] = 'Sta commentaar toe zonder toestemming van de administrator';
+$lang['CM_commentTitle_d'] = 'Als <b>&quot;Commentaar voor iedereen&quot;</b> actief is (toestemming voor niet geregistreerde gebruikers om commentaren te geven), dan maakt deze optie dat ze een nickname moeten opgeven.';
 ?>