Index: extensions/Piwecard/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/es_ES/plugin.lang.php	(revision 20260)
+++ extensions/Piwecard/language/es_ES/plugin.lang.php	(revision 20261)
@@ -57,3 +57,51 @@
 <p>Nos vemos en <a href="%websiteurl%">%website%</a>!</p>
 <p>El Webmaster</p>';
+$lang['piwecard_permissions_user_cat'] = 'Envío de tarjeta virtual sólo se permite si el disco o un padre tiene el mismo nombre que el usuario o si el usuario es el autor de la foto';
+$lang['piwecard_preview'] = 'Ejemplo';
+$lang['piwecard_recipient_names'] = 'Nombre(s) del/de los destinatario(s)';
+$lang['piwecard_selected_cats'] = 'Álbumes seleccionados';
+$lang['piwecard_send'] = 'Enviar';
+$lang['piwecard_send_link'] = 'Haga clic aquí para enviar una tarjeta electrónica';
+$lang['piwecard_send_mandatory_fields'] = 'Campos obligatorios';
+$lang['piwecard_sender_copy'] = 'Enviar una copia de la carta al remitente';
+$lang['piwecard_show_image_infos'] = 'Mostrar el título y el autor de la imagen en la imagen';
+$lang['piwecard_user_cats_case_sensitive'] = 'Sensible a mayúscula y minúscula (álbum o un padre tiene el mismo nombre que el usuario)';
+$lang['piwecard_valid'] = 'Validos';
+$lang['piwecard_validity'] = 'Fecha de espiración';
+$lang['piwecard_validity_choice'] = 'Permitir al usuario elegir la validez de la tarjeta virtual';
+$lang['piwecard_validity_default'] = 'Validez de la tarjeta virtual predeterminada';
+$lang['piwecard_validity_label'] = 'Validez';
+$lang['piwecard_validity_list'] = 'Lista de períodos de validez en días (0 para ilimitado)';
+$lang['piwecard_website_url'] = 'Dirección de la galería';
+$lang['piwicard_email_reset'] = 'RAZ* Cambiar los campos con valores predeterminados en su idioma';
+$lang['piwecard_image_border_dashed'] = 'Guiones';
+$lang['piwecard_image_border_dotted'] = 'Punteado';
+$lang['piwecard_image_border_double'] = 'Doble';
+$lang['piwecard_image_border_solid'] = 'Continuo';
+$lang['piwecard_image_border_style'] = 'Estilo:';
+$lang['piwecard_image_border_width'] = 'Ancho';
+$lang['piwecard_invalid'] = 'Anticuado';
+$lang['piwecard_invalid_deleted'] = 'Todas las tarjetas vencidas se han eliminado.';
+$lang['piwecard_nb_ecard_page'] = 'Número de tarjetas por página';
+$lang['piwecard_nb_ecard_valid_total'] = '%nb_valid% tarjetas virtuales sobre %nb_total% tarjetas virtuales';
+$lang['piwecard_nb_max_recipients'] = 'Numero máximo de destinatarios por tarjetas virtuales';
+$lang['piwecard_no_ecard'] = 'No hay ningún tarjeta virtual en la base de datos';
+$lang['piwecard_non_selected_cats'] = 'Álbumes sin seleccionar';
+$lang['piwecard_permissions_all_cats'] = 'Envío de e-card se permite en todos los álbumes accesibles al usuario';
+$lang['piwecard_permissions_all_groups_users'] = 'Todos los usuarios pueden enviar e-cards';
+$lang['piwecard_permissions_cat'] = 'Permisos basados ​​en álbumes';
+$lang['piwecard_permissions_denied_groups_users'] = 'Denegar permisos para usuarios y grupos seleccionados';
+$lang['piwecard_permissions_granted_groups_users'] = 'Dar permisos a usuarios y grupos seleccionados';
+$lang['piwecard_permissions_groups_users'] = 'Permisos basados ​​en usuarios y grupos';
+$lang['piwecard_permissions_selected_cats'] = 'Envío de tarjeta virtual sólo se permite en determinados álbumes y álbumes seleccionados si son accesibles para el usuario';
+$lang['piwecard_image_border_color'] = 'Color:';
+$lang['piwecard_image_border'] = 'Agregar un borde a la imagen de la e-tarjeta:';
+$lang['piwecard_errors'] = 'Ver detalles de error aqui debajo';
+$lang['piwecard_error_validity_list'] = 'La lista no puede estar vacío y los plazos deben ser números.';
+$lang['piwecard_error_text'] = 'Por favor, introduzca un texto.';
+$lang['piwecard_error_email'] = 'Por favor, introduzca una dirección válida de e-mail.';
+$lang['piwecard_error_integer'] = 'Por favor, introduzca un número válido.';
+$lang['piwecard_error'] = 'Error!';
+$lang['piwecard_email_message_html'] = 'Mensaje cuando el formato de correo electrónico es HTML';
+$lang['piwecard_email_message_text'] = 'Mensaje cuando el formato de correo electrónico es texto';
 ?>